com.r3corda.contracts.asset / Obligation / BilateralNetState

# BilateralNetState

`data class BilateralNetState<P> : NetState<P>`

Subset of state, containing the elements which must match for two obligation transactions to be nettable. If two obligation state objects produce equal bilateral net states, they are considered safe to net directly. Bilateral states are used in close-out netting.

### Constructors

<init> | `BilateralNetState(partyKeys: Set<PublicKey>, template: StateTemplate<P>)` Subset of state, containing the elements which must match for two obligation transactions to be nettable. If two obligation state objects produce equal bilateral net states, they are considered safe to net directly. Bilateral states are used in close-out netting.

### Properties

partyKeys | `val partyKeys: Set<PublicKey>`
template | `val template: StateTemplate<P>`